# Configure FieldPOC

To enable FieldPOC on the system just add this config.

```
services.fieldpoc = {
  enable = true;
  ommIp = "10.42.132.2";
  ommUser = "omm";
  ommPasswordPath = "/var/src/secrets/fieldpoc/ommpassword";
  sipsecretPath = "/var/src/secrets/fieldpoc/sipsecret";
};
```

- `ommIp` is the IP address of your OMM.
- `ommUser` is the user account that FieldPOC uses to access the OMM. You usually want to set this to `omm`.
- `ommPasswordPath` is the path to a file containing the password for the OMM user. This password is configured when [setting up the OMM](omm.md#login-credentials).

- `sipsecretPath` is a path to a file containing a 16 characters hex string. FieldPOC is generating internal SIP accounts for each DECT user. So nobody can hijack these accounts, this secret is used as a seed for generating passwords for these accounts.

When enabling the FieldPOC module a correctly configured Yate service is added to your system.
