# Install NixOS

To coordinate all the different components, FieldPOC is packaged with NixOS.
Follow [the official installation guide](https://nixos.org/manual/nixos/stable/#ch-installation) to install NixOS on you telephony server.
You can use the minimal installer, as we don't need graphical user interface.

## Add FieldPOC packages

FieldPOC is provided as a Flake.

Add the following inputs to your `flake.nix`:

```
inputs.fieldpoc.url = "git+https://git.clerie.de/clerie/fieldpoc.git";
```

Do not set the FielPOC flake to follow your nixpkgs input as this messes with the dependencies of FieldPOC.
Especially the Python modules are incredibly dependent on specific version combinations to properly run.

Add input modules to your system:

```
fieldpoc.nixosModules.default
```

